Index: /branches/HTM-15.1-dev0-NICT/source/Lib/TLibCommon/SEI.cpp
===================================================================
--- /branches/HTM-15.1-dev0-NICT/source/Lib/TLibCommon/SEI.cpp	(revision 1348)
+++ /branches/HTM-15.1-dev0-NICT/source/Lib/TLibCommon/SEI.cpp	(revision 1349)
@@ -189,13 +189,13 @@
 #if NH_MV_SEI_TBD
     //////////////////////////////////////////////////////////////////////////
-    // TBD: Modify version 1 SEIs to use the same interfaces as Annex GFI SEI messages. 
+    // TBD: Modify version 1 SEIs to use the same interfaces as Annex GFI SEI messages.
     //////////////////////////////////////////////////////////////////////////
 
-    case SEI::BUFFERING_PERIOD:                     return new SEIBufferingPeriod; 
+    case SEI::BUFFERING_PERIOD:                     return new SEIBufferingPeriod;
     case SEI::PICTURE_TIMING:                       return new SEIPictureTiming;
     case SEI::PAN_SCAN_RECT:                        return new SEIPanScanRectangle;                    // not currently decoded
     case SEI::FILLER_PAYLOAD:                       return new SEIFillerPaylod;                       // not currently decoded
     case SEI::USER_DATA_REGISTERED_ITU_T_T35:       return new SEIUserDataRegistered;                 // not currently decoded
-    case SEI::USER_DATA_UNREGISTERED:               return new SEIuserDataUnregistered; 
+    case SEI::USER_DATA_UNREGISTERED:               return new SEIuserDataUnregistered;
     case SEI::RECOVERY_POINT:                       return new SEIRecoveryPoint;
     case SEI::SCENE_INFO:                           return new SEISceneInformation;                    // not currently decoded
@@ -215,10 +215,10 @@
     case SEI::DECODED_PICTURE_HASH:                 return new SEIDecodedPictureHash;
     case SEI::SCALABLE_NESTING:                     return new SEIScalableNesting;
-    case SEI::REGION_REFRESH_INFO:                  return new SEIRegionRefreshInfo; 
+    case SEI::REGION_REFRESH_INFO:                  return new SEIRegionRefreshInfo;
     case SEI::NO_DISPLAY:                           return new SEINoDisplay;
     case SEI::TIME_CODE:                            return new SEITimeCode;
     case SEI::MASTERING_DISPLAY_COLOUR_VOLUME:      return new SEIMasteringDisplayColourVolume;
     case SEI::SEGM_RECT_FRAME_PACKING:              return new SEISegmentedRectFramePacking;
-    case SEI::TEMP_MOTION_CONSTRAINED_TILE_SETS:    return new SEITempMotionConstrainedTileSets; 
+    case SEI::TEMP_MOTION_CONSTRAINED_TILE_SETS:    return new SEITempMotionConstrainedTileSets;
     case SEI::CHROMA_SAMPLING_FILTER_HINT:          return new SEIChromaSamplingFilterHint
 #endif
@@ -241,6 +241,6 @@
   case SEI::THREE_DIMENSIONAL_REFERENCE_DISPLAYS_INFO:            return new SEIThreeDimensionalReferenceDisplaysInfo;
 #if SEI_DRI_F0169
-  case SEI::DEPTH_REPRESENTATION_INFO             :               return new SEIDepthRepresentationInfo; 
-#endif 
+  case SEI::DEPTH_REPRESENTATION_INFO             :               return new SEIDepthRepresentationInfo;
+#endif
   case SEI::MULTIVIEW_SCENE_INFO                  :               return new SEIMultiviewSceneInfo;
   case SEI::MULTIVIEW_ACQUISITION_INFO            :               return new SEIMultiviewAcquisitionInfo;
@@ -262,5 +262,5 @@
 SEI* SEI::getCopy() const
 {
-  assert( 0 ); 
+  assert( 0 );
   return NULL;
 }
@@ -273,5 +273,5 @@
 Bool SEI::insertSei( Int curLayerId, Int curPoc, Int curTid, Int curNaluType ) const
 {
-  Bool insertSeiHere = true;     
+  Bool insertSeiHere = true;
   if( !m_applicableLayerIds.empty() )
   {
@@ -295,5 +295,5 @@
 Bool SEI::checkCfg( const TComSlice* slice )
 {
-  assert( false ); 
+  assert( false );
   return true;
 }
@@ -309,11 +309,11 @@
   {
     xPrintCfgErrorIntro();
-    std::cout << "The value of " << seName << "shall be in the range of " << minVal << " to " << maxVal << ", inclusive." << std::endl;       
-    wrongConfig = true;       
-  }
-}
-
-Void SEI::xAddGeneralOpts(po::Options &opts, IntAry1d defAppLayerIds, IntAry1d deftApplicablePocs, 
-                                            IntAry1d defAppTids,     IntAry1d defAppVclNaluTypes, 
+    std::cout << "The value of " << seName << "shall be in the range of " << minVal << " to " << maxVal << ", inclusive." << std::endl;
+    wrongConfig = true;
+  }
+}
+
+Void SEI::xAddGeneralOpts(po::Options &opts, IntAry1d defAppLayerIds, IntAry1d deftApplicablePocs,
+                                            IntAry1d defAppTids,     IntAry1d defAppVclNaluTypes,
                                             Int defSeiNaluId, Int defPositionInSeiNalu, Bool defModifyByEncoder)
 {
@@ -334,6 +334,6 @@
   {
     xPrintCfgErrorIntro();
-    std::cout << errStr << std::endl;       
-    wrongConfig = true;       
+    std::cout << errStr << std::endl;
+    wrongConfig = true;
   }
 }
@@ -342,9 +342,9 @@
 #if NH_MV_LAYERS_NOT_PRESENT_SEI
 Void SEILayersNotPresent::setupFromCfgFile(const Char* cfgFile)
-{ 
+{
   // Set default values
-  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes; 
-
-  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send. 
+  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes;
+
+  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send.
   // This SEI message doesn't need to be added by default to any Layer / POC / NAL Unit / T Layer. Not sure if empty is right.
   defAppLayerIds    .empty( );
@@ -354,10 +354,10 @@
 
   Int      defSeiNaluId                  = 0;
-  Int      defPositionInSeiNalu          = 0; 
+  Int      defPositionInSeiNalu          = 0;
   Bool     defModifyByEncoder            = false;   //0: Use payload as specified in cfg file   1: Modify SEI by encoder
 
   // Setup config file options
-  po::Options opts;     
-  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder ); 
+  po::Options opts;
+  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder );
 
   opts.addOptions()
@@ -375,10 +375,10 @@
 
   Bool SEILayersNotPresent::checkCfg( const TComSlice* slice )
-  { 
+  {
   // Check config values
-    Bool wrongConfig = false; 
+    Bool wrongConfig = false;
 //
-    const TComVPS* vps = slice->getVPS(); 
-//  // TBD: Add constraints on presence of SEI here. 
+    const TComVPS* vps = slice->getVPS();
+//  // TBD: Add constraints on presence of SEI here.
     xCheckCfg     ( wrongConfig, m_lnpSeiActiveVpsId == vps->getVPSId(), "The value of lnp_sei_active_vps_id shall be equal to the value of vps_video_parameter_set_id of the active VPS for the VCL NAL units of the access unit containing the SEI message." );
     xCheckCfg     ( wrongConfig, m_lnpSeiMaxLayers == vps->getMaxLayersMinus1(), "The number of LayerNotPresent flags shall be equal to vpsMaxLayersMinus1." );
@@ -396,5 +396,5 @@
     }
 
-      return wrongConfig; 
+      return wrongConfig;
   };
 #endif
@@ -402,23 +402,23 @@
 
 Void SEIInterLayerConstrainedTileSets::setupFromCfgFile(const Char* cfgFile)
-{ 
+{
   // Set default values
-  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes; 
-
-  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send. 
-  defAppLayerIds    .empty( ); 
-  defAppPocs        .push_back( 0 ); 
-  defAppTids        .empty( ); 
-  defAppVclNaluTypes.empty( ); 
-
-  Int      defSeiNaluId                  = 0; 
-  Int      defPositionInSeiNalu          = 0; 
-  Bool     defModifyByEncoder            = false; 
+  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes;
+
+  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send.
+  defAppLayerIds    .empty( );
+  defAppPocs        .push_back( 0 );
+  defAppTids        .empty( );
+  defAppVclNaluTypes.empty( );
+
+  Int      defSeiNaluId                  = 0;
+  Int      defPositionInSeiNalu          = 0;
+  Bool     defModifyByEncoder            = false;
 
   // Setup config file options
-  po::Options opts;     
-  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder ); 
-
-  const Int maxNumTileInSet = 100; 
+  po::Options opts;
+  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder );
+
+  const Int maxNumTileInSet = 100;
 
   opts.addOptions()
@@ -444,24 +444,24 @@
 
 Bool SEIInterLayerConstrainedTileSets::checkCfg( const TComSlice* slice )
-{ 
+{
   // Check config values
-  Bool wrongConfig = false; 
-  const TComPPS* pps = slice->getPPS(); 
-
-  // Currently only the active PPS checked. 
+  Bool wrongConfig = false;
+  const TComPPS* pps = slice->getPPS();
+
+  // Currently only the active PPS checked.
   xCheckCfg     ( wrongConfig, pps->getTilesEnabledFlag() , "The inter-layer constrained tile sets SEI message shall not be present for the layer with nuh_layer_id equal to targetLayerId when tiles_enabled_flag is equal to 0 for any PPS that is active for the pictures of the CLVS of the layer with nuh_layer_id equal to targetLayerId." );
-    
+
   if ( m_ilOneTilePerTileSetFlag )
   {
     xCheckCfg( wrongConfig, ( pps->getNumTileColumnsMinus1() + 1 ) *  ( pps->getNumTileRowsMinus1() + 1 ) <= 256, "It is a requirement of bitstream conformance that when il_one_tile_per_tile_set_flag is equal to 1, the value of ( num_tile_columns_minus1 + 1 ) * ( num_tile_rows_minus1 + 1 ) shall be less than or equal to 256."    );
   }
-  Int numSignificantSets = m_ilNumSetsInMessageMinus1 - m_skippedTileSetPresentFlag + 1; 
+  Int numSignificantSets = m_ilNumSetsInMessageMinus1 - m_skippedTileSetPresentFlag + 1;
 
   for (Int i = 0 ; i < numSignificantSets; i++)
   {
     xCheckCfgRange( wrongConfig, m_ilctsId[i]                         , 0 , (1 << 30) - 1, "ilcts_id"                         );
-  }  
-  
-  return wrongConfig; 
+  }
+
+  return wrongConfig;
 };
 #if NH_MV_SEI_TBD
@@ -484,9 +484,9 @@
 
 Void SEIBspNesting::setupFromCfgFile(const Char* cfgFile)
-{ 
+{
   // Set default values
-  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes; 
-
-  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send. 
+  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes;
+
+  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send.
   defAppLayerIds    .push_back( TBD );
   defAppPocs        .push_back( TBD );
@@ -494,11 +494,11 @@
   defAppVclNaluTypes.push_back( TBD );
 
-  Int      defSeiNaluId                  = 0; 
-  Int      defPositionInSeiNalu          = 0; 
-  Bool     defModifyByEncoder            = TBD; 
+  Int      defSeiNaluId                  = 0;
+  Int      defPositionInSeiNalu          = 0;
+  Bool     defModifyByEncoder            = TBD;
 
   // Setup config file options
-  po::Options opts;     
-  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder ); 
+  po::Options opts;
+  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder );
 
   opts.addOptions()
@@ -518,13 +518,13 @@
 
 Bool SEIBspNesting::checkCfg( const TComSlice* slice )
-{ 
+{
   // Check config values
-  Bool wrongConfig = false; 
-
-  // TBD: Add constraints on presence of SEI here. 
+  Bool wrongConfig = false;
+
+  // TBD: Add constraints on presence of SEI here.
   xCheckCfg     ( wrongConfig, TBD , "TBD" );
   xCheckCfg     ( wrongConfig, TBD , "TBD" );
 
-  // TBD: Modify constraints according to the SEI semantics.   
+  // TBD: Modify constraints according to the SEI semantics.
   xCheckCfgRange( wrongConfig, m_seiOlsIdx                      , MINVAL , MAXVAL, "sei_ols_idx"          );
   xCheckCfgRange( wrongConfig, m_seiPartitioningSchemeIdx       , MINVAL , MAXVAL, "sei_partitioning_scheme_idx"       );
@@ -533,5 +533,5 @@
   xCheckCfgRange( wrongConfig, m_numSeisInBspMinus1             , MINVAL , MAXVAL, "num_seis_in_bsp_minus1"           );
 
-  return wrongConfig; 
+  return wrongConfig;
 
 };
@@ -557,9 +557,9 @@
 
 Void SEIBspInitialArrivalTime::setupFromCfgFile(const Char* cfgFile)
-{ 
+{
   // Set default values
-  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes; 
-
-  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send. 
+  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes;
+
+  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send.
   defAppLayerIds    .push_back( TBD );
   defAppPocs        .push_back( TBD );
@@ -567,11 +567,11 @@
   defAppVclNaluTypes.push_back( TBD );
 
-  Int      defSeiNaluId                  = 0; 
-  Int      defPositionInSeiNalu          = 0; 
-  Bool     defModifyByEncoder            = TBD; 
+  Int      defSeiNaluId                  = 0;
+  Int      defPositionInSeiNalu          = 0;
+  Bool     defModifyByEncoder            = TBD;
 
   // Setup config file options
-  po::Options opts;     
-  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder ); 
+  po::Options opts;
+  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder );
 
   opts.addOptions()
@@ -588,17 +588,17 @@
 
 Bool SEIBspInitialArrivalTime::checkCfg( const TComSlice* slice )
-{ 
+{
   // Check config values
-  Bool wrongConfig = false; 
-
-  // TBD: Add constraints on presence of SEI here. 
+  Bool wrongConfig = false;
+
+  // TBD: Add constraints on presence of SEI here.
   xCheckCfg     ( wrongConfig, TBD , "TBD" );
   xCheckCfg     ( wrongConfig, TBD , "TBD" );
 
-  // TBD: Modify constraints according to the SEI semantics.   
+  // TBD: Modify constraints according to the SEI semantics.
   xCheckCfgRange( wrongConfig, m_nalInitialArrivalDelay[i]      , MINVAL , MAXVAL, "nal_initial_arrival_delay"        );
   xCheckCfgRange( wrongConfig, m_vclInitialArrivalDelay[i]      , MINVAL , MAXVAL, "vcl_initial_arrival_delay"        );
 
-  return wrongConfig; 
+  return wrongConfig;
 
 };
@@ -606,9 +606,9 @@
 
 Void SEISubBitstreamProperty::setupFromCfgFile(const Char* cfgFile)
-{ 
+{
   // Set default values
-  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes; 
-
-  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send. 
+  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes;
+
+  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send.
   defAppLayerIds    .push_back( 0 );
   defAppPocs        .push_back( 0 );
@@ -616,11 +616,11 @@
   defAppVclNaluTypes = IRAP_NAL_UNIT_TYPES;
 
-  Int      defSeiNaluId                  = 0; 
-  Int      defPositionInSeiNalu          = 0; 
-  Bool     defModifyByEncoder            = false; 
+  Int      defSeiNaluId                  = 0;
+  Int      defPositionInSeiNalu          = 0;
+  Bool     defModifyByEncoder            = false;
 
   // Setup config file options
-  po::Options opts;     
-  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder ); 
+  po::Options opts;
+  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder );
 
   opts.addOptions()
@@ -642,12 +642,12 @@
 
 Bool SEISubBitstreamProperty::checkCfg( const TComSlice* slice )
-{ 
+{
   // Check config values
   Bool wrongConfig = false;
 
-  // For the current encoder, the initial IRAP access unit has always POC zero.   
+  // For the current encoder, the initial IRAP access unit has always POC zero.
   xCheckCfg     ( wrongConfig, slice->isIRAP() && (slice->getPOC() == 0), "When present, the sub-bitstream property SEI message shall be associated with an initial IRAP access unit and the information provided by the SEI messages applies to the bitstream corresponding to the CVS containing the associated initial IRAP access unit.");
 
-  Bool sizeNotCorrect = 
+  Bool sizeNotCorrect =
     (    ( m_numAdditionalSubStreamsMinus1 + 1 ) != m_subBitstreamMode    .size() )
     || ( ( m_numAdditionalSubStreamsMinus1 + 1 ) != m_olsIdxToVps         .size() )
@@ -660,5 +660,5 @@
 
   xCheckCfgRange( wrongConfig, m_numAdditionalSubStreamsMinus1  , 0 , (1 << 10) - 1 , "num_additional_sub_streams_minus1");
-  
+
   if ( !sizeNotCorrect )
   {
@@ -669,22 +669,22 @@
     }
   }
-  return wrongConfig; 
+  return wrongConfig;
 };
 
 Void SEISubBitstreamProperty::resizeArrays( )
 {
-  m_subBitstreamMode    .resize( m_numAdditionalSubStreamsMinus1 + 1); 
-  m_olsIdxToVps         .resize( m_numAdditionalSubStreamsMinus1 + 1); 
-  m_highestSublayerId   .resize( m_numAdditionalSubStreamsMinus1 + 1); 
-  m_avgSbPropertyBitRate.resize( m_numAdditionalSubStreamsMinus1 + 1); 
-  m_maxSbPropertyBitRate.resize( m_numAdditionalSubStreamsMinus1 + 1); 
+  m_subBitstreamMode    .resize( m_numAdditionalSubStreamsMinus1 + 1);
+  m_olsIdxToVps         .resize( m_numAdditionalSubStreamsMinus1 + 1);
+  m_highestSublayerId   .resize( m_numAdditionalSubStreamsMinus1 + 1);
+  m_avgSbPropertyBitRate.resize( m_numAdditionalSubStreamsMinus1 + 1);
+  m_maxSbPropertyBitRate.resize( m_numAdditionalSubStreamsMinus1 + 1);
 }
 
 Void SEIAlphaChannelInfo::setupFromCfgFile(const Char* cfgFile)
-{ 
+{
   // Set default values
-  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes; 
-
-  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send. 
+  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes;
+
+  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send.
   defAppLayerIds    .clear();
   defAppPocs        .push_back( 0 );
@@ -692,11 +692,11 @@
   defAppVclNaluTypes = IDR_NAL_UNIT_TYPES;
 
-  Int      defSeiNaluId                  = 0; 
-  Int      defPositionInSeiNalu          = 0; 
+  Int      defSeiNaluId                  = 0;
+  Int      defPositionInSeiNalu          = 0;
   Bool     defModifyByEncoder            = false;
 
   // Setup config file options
-  po::Options opts;     
-  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder ); 
+  po::Options opts;
+  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder );
 
   opts.addOptions()
@@ -720,7 +720,7 @@
 
 Bool SEIAlphaChannelInfo::checkCfg( const TComSlice* slice )
-{ 
+{
   // Check config values
-  Bool wrongConfig = false; 
+  Bool wrongConfig = false;
 
   int maxInterpretationValue = (1 << (m_alphaChannelBitDepthMinus8+9)) - 1;
@@ -734,9 +734,9 @@
   xCheckCfgRange( wrongConfig, m_alphaChannelClipTypeFlag       , 0 , 1, "alpha_channel_clip_type_flag"     );
 
-  return wrongConfig; 
-
-};
-
-SEIOverlayInfo::SEIOverlayInfo ( ) 
+  return wrongConfig;
+
+};
+
+SEIOverlayInfo::SEIOverlayInfo ( )
   : m_numOverlaysMax(16)
   , m_numOverlayElementsMax(256)
@@ -745,9 +745,9 @@
 
 Void SEIOverlayInfo::setupFromCfgFile(const Char* cfgFile)
-{ 
+{
   // Set default values
-  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes; 
-
-  // Add default values for which layers, POCS, Tids or Nalu types the SEI should be send. 
+  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes;
+
+  // Add default values for which layers, POCS, Tids or Nalu types the SEI should be send.
   defAppLayerIds    .clear();
   defAppPocs        .push_back( 0 );
@@ -755,11 +755,11 @@
   defAppVclNaluTypes = IDR_NAL_UNIT_TYPES;
 
-  Int      defSeiNaluId                  = 0; 
-  Int      defPositionInSeiNalu          = 0; 
-  Bool     defModifyByEncoder            = false; 
+  Int      defSeiNaluId                  = 0;
+  Int      defPositionInSeiNalu          = 0;
+  Bool     defModifyByEncoder            = false;
 
   // Setup config file options
-  po::Options opts;     
-  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder ); 
+  po::Options opts;
+  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder );
 
   opts.addOptions()
@@ -779,10 +779,10 @@
     ("NumOverlayElementsMinus1"       , m_numOverlayElementsMinus1         , IntAry1d (16,0)                 , "NumOverlayElementsMinus1"         )
     ("OverlayElementLabelMin_%d"      , m_overlayElementLabelMin           , IntAry1d (256,0) ,16            , "OverlayElementLabelMin"           )
-    ("OverlayElementLabelMax_%d"      , m_overlayElementLabelMax           , IntAry1d (256,0) ,16            , "OverlayElementLabelMax"           )        
+    ("OverlayElementLabelMax_%d"      , m_overlayElementLabelMax           , IntAry1d (256,0) ,16            , "OverlayElementLabelMax"           )
     ("OverlayLanguage_%d"             , m_overlayLanguage                  , std::string(""), 16             , "OverlayLanguage"                  )
     ("OverlayName_%d"                 , m_overlayName                      , std::string(""), 16             , "OverlayName"                      )
     ("OverlayElementName_%d_%d"       , m_overlayElementName               , std::string(""), 256 ,16        , "OverlayElementName"               )
     ("OverlayInfoPersistenceFlag"     , m_overlayInfoPersistenceFlag       , false                           , "OverlayInfoPersistenceFlag"       )
-    ; 
+    ;
 
   po::setDefaults(opts);
@@ -795,7 +795,7 @@
 
 Bool SEIOverlayInfo::checkCfg( const TComSlice* slice )
-{ 
+{
   // Check config values
-  Bool wrongConfig = false;   
+  Bool wrongConfig = false;
 
   xCheckCfgRange( wrongConfig, m_overlayInfoCancelFlag          , 0 ,   1, "overlay_info_cancel_flag"         );
@@ -808,20 +808,20 @@
     xCheckCfgRange( wrongConfig, m_overlayIdx[i]                  , 0 , 255, "overlay_idx"          );
     xCheckCfgRange( wrongConfig, m_languageOverlayPresentFlag[i]  , 0 ,   1, "language_overlay_present_flag"    );
-    xCheckCfgRange( wrongConfig, m_overlayLabelPresentFlag[i]     , 0 ,   1, "overlay_label_present_flag"       );  
+    xCheckCfgRange( wrongConfig, m_overlayLabelPresentFlag[i]     , 0 ,   1, "overlay_label_present_flag"       );
     xCheckCfgRange( wrongConfig, m_overlayAlphaPresentFlag[i]     , 0 ,   1, "overlay_alpha_present_flag"       );
     xCheckCfgRange( wrongConfig, m_overlayContentLayerId[i]       , 0 ,   63, "overlay_content_layer_id"    );
     xCheckCfgRange( wrongConfig, m_overlayLabelLayerId[i]         , 0 ,   63, "overlay_label_layer_id"    );
-    xCheckCfgRange( wrongConfig, m_overlayAlphaLayerId[i]         , 0 ,   63, "overlay_alpha_layer_id"    );    
-    xCheckCfgRange( wrongConfig, m_numOverlayElementsMinus1[i]    , 0 , m_numOverlayElementsMax-1, "num_overlay_elements_minus1"       );     
+    xCheckCfgRange( wrongConfig, m_overlayAlphaLayerId[i]         , 0 ,   63, "overlay_alpha_layer_id"    );
+    xCheckCfgRange( wrongConfig, m_numOverlayElementsMinus1[i]    , 0 , m_numOverlayElementsMax-1, "num_overlay_elements_minus1"       );
     for (Int j=0 ; j<=m_numOverlayElementsMinus1[i] ; ++j)
-    {      
+    {
       Int maxLabelMinMaxValue = ( 1 << ( m_overlayElementLabelValueLengthMinus8 + 8 ) )-1;
       xCheckCfgRange( wrongConfig, m_overlayElementLabelMin[i][j] , 0 , maxLabelMinMaxValue , "overlay_element_label_min"    );
-      xCheckCfgRange( wrongConfig, m_overlayElementLabelMax[i][j] , 0 , maxLabelMinMaxValue , "overlay_element_label_max"    );        
-    }        
-  }  
+      xCheckCfgRange( wrongConfig, m_overlayElementLabelMax[i][j] , 0 , maxLabelMinMaxValue , "overlay_element_label_max"    );
+    }
+  }
   xCheckCfgRange( wrongConfig, m_overlayInfoPersistenceFlag     , 0 ,   1, "overlay_info_persistence_flag"    );
 
-  return wrongConfig; 
+  return wrongConfig;
 
 };
@@ -829,21 +829,21 @@
 
 Void SEITemporalMvPredictionConstraints::setupFromCfgFile(const Char* cfgFile)
-{ 
+{
   // Set default values
-  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes; 
-
-  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send. 
-  defAppLayerIds    .clear    (   ); 
+  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes;
+
+  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send.
+  defAppLayerIds    .clear    (   );
   defAppPocs        .push_back( 0 );
   defAppTids        .push_back( 0 );
   defAppVclNaluTypes.clear    (   );
 
-  Int      defSeiNaluId                  = 0; 
-  Int      defPositionInSeiNalu          = 0; 
-  Bool     defModifyByEncoder            = false; 
+  Int      defSeiNaluId                  = 0;
+  Int      defPositionInSeiNalu          = 0;
+  Bool     defModifyByEncoder            = false;
 
   // Setup config file options
-  po::Options opts;     
-  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder ); 
+  po::Options opts;
+  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder );
 
   opts.addOptions()
@@ -860,20 +860,20 @@
 
 Bool SEITemporalMvPredictionConstraints::checkCfg( const TComSlice* slice )
-{ 
+{
   // Check config values
-  Bool wrongConfig = false; 
+  Bool wrongConfig = false;
 
   xCheckCfg     ( wrongConfig, slice->getTemporalId() == 0 , "The temporal motion vector prediction constraints SEI message may be present in an access unit with TemporalId equal to 0 and shall not be present in an access unit with TemporalId greater than 0." );
 
-  return wrongConfig; 
+  return wrongConfig;
 };
 
 #if NH_MV_SEI_TBD
 Void SEIFrameFieldInfo::setupFromCfgFile(const Char* cfgFile)
-{ 
+{
   // Set default values
-  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes; 
-
-  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send. 
+  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes;
+
+  // TBD: Add default values for which layers, POCS, Tids or Nalu types the SEI should be send.
   defAppLayerIds    .push_back( TBD );
   defAppPocs        .push_back( TBD );
@@ -886,6 +886,6 @@
 
   // Setup config file options
-  po::Options opts;     
-  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder ); 
+  po::Options opts;
+  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder );
 
   opts.addOptions()
@@ -904,18 +904,18 @@
 
 Bool SEIFrameFieldInfo::checkCfg( const TComSlice* slice )
-{ 
+{
   // Check config values
-  Bool wrongConfig = false; 
-
-  // TBD: Add constraints on presence of SEI here. 
+  Bool wrongConfig = false;
+
+  // TBD: Add constraints on presence of SEI here.
   xCheckCfg     ( wrongConfig, TBD , "TBD" );
   xCheckCfg     ( wrongConfig, TBD , "TBD" );
 
-  // TBD: Modify constraints according to the SEI semantics.   
+  // TBD: Modify constraints according to the SEI semantics.
   xCheckCfgRange( wrongConfig, m_ffinfoPicStruct                , MINVAL , MAXVAL, "ffinfo_pic_struct"                );
   xCheckCfgRange( wrongConfig, m_ffinfoSourceScanType           , MINVAL , MAXVAL, "ffinfo_source_scan_type"          );
   xCheckCfgRange( wrongConfig, m_ffinfoDuplicateFlag            , MINVAL , MAXVAL, "ffinfo_duplicate_flag"            );
 
-  return wrongConfig; 
+  return wrongConfig;
 
 };
@@ -923,21 +923,21 @@
 
 Void SEIThreeDimensionalReferenceDisplaysInfo::setupFromCfgFile(const Char* cfgFile)
-{ 
+{
   // Set default values
-  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes; 
-
-  // Default values for which layers, POCS, Tids or Nalu types the SEI should be sent. 
-  defAppLayerIds      .push_back( 0 ); 
+  IntAry1d defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes;
+
+  // Default values for which layers, POCS, Tids or Nalu types the SEI should be sent.
+  defAppLayerIds      .push_back( 0 );
   defAppPocs          .push_back( 0 );
   defAppTids          .push_back( 0 );
   defAppVclNaluTypes = IRAP_NAL_UNIT_TYPES;
 
-  Int      defSeiNaluId                  = 0; 
-  Int      defPositionInSeiNalu          = 0; 
-  Bool     defModifyByEncoder            = 0; 
+  Int      defSeiNaluId                  = 0;
+  Int      defPositionInSeiNalu          = 0;
+  Bool     defModifyByEncoder            = 0;
 
   // Setup config file options
-  po::Options opts;     
-  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder ); 
+  po::Options opts;
+  xAddGeneralOpts( opts , defAppLayerIds, defAppPocs, defAppTids, defAppVclNaluTypes, defSeiNaluId, defPositionInSeiNalu, defModifyByEncoder );
 
   opts.addOptions()
@@ -977,5 +977,5 @@
 UInt SEIThreeDimensionalReferenceDisplaysInfo::xGetSyntaxElementLen( Int expo, Int prec, Int val ) const
 {
-  UInt len; 
+  UInt len;
   if( expo == 0 )
   {
@@ -987,16 +987,16 @@
   }
 
-  assert( val >= 0 ); 
+  assert( val >= 0 );
   assert( val <= ( ( 1 << len )- 1) );
-  return len; 
+  return len;
 }
 
 Bool SEIThreeDimensionalReferenceDisplaysInfo::checkCfg( const TComSlice* slice )
-{ 
+{
   // Check config values
-  Bool wrongConfig = false; 
-
-  // The 3D reference display SEI should preferably be sent along with the multiview acquisition SEI. For now the multiview acquisition SEI is restricted to POC = 0, so 3D reference displays SEI is restricted to POC = 0 as well. 
-  xCheckCfg     ( wrongConfig, slice->isIRAP() && (slice->getPOC() == 0)  , "The 3D reference displays SEI message currently is associated with an access unit that contains an IRAP picture." );  
+  Bool wrongConfig = false;
+
+  // The 3D reference display SEI should preferably be sent along with the multiview acquisition SEI. For now the multiview acquisition SEI is restricted to POC = 0, so 3D reference displays SEI is restricted to POC = 0 as well.
+  xCheckCfg     ( wrongConfig, slice->isIRAP() && (slice->getPOC() == 0)  , "The 3D reference displays SEI message currently is associated with an access unit that contains an IRAP picture." );
 
   xCheckCfgRange( wrongConfig, m_precRefDisplayWidth            , 0 , 31, "prec_ref_display_width"  );
@@ -1006,5 +1006,5 @@
 
   for (Int i = 0; i <= getNumRefDisplaysMinus1(); i++ )
-  {  
+  {
     xCheckCfgRange( wrongConfig, m_exponentRefDisplayWidth[i]     , 0 , 62, "exponent_ref_display_width"   );
     xCheckCfgRange( wrongConfig, m_exponentRefViewingDistance[i]  , 0 , 62, "exponent_ref_viewing_distance");
@@ -1014,5 +1014,5 @@
   xCheckCfgRange( wrongConfig, m_threeDimensionalReferenceDisplaysExtensionFlag, 0 , 1, "three_dimensional_reference_displays_extension_flag");
 
-  return wrongConfig; 
+  return wrongConfig;
 
 };
